Course "Web Dev" - problem after "Manage Dependencies" - recovery to previous version

Hello,

My name is Rodrigo, I'm new to OutSystems and I'm doing Training on the "Becoming a Traditional Web Developer" track.

In this training, we basically develop two modules: an OSMDb_Core (Producer) and an OSMDb (Consumer) module.

Last night everything was ok, but at one point, when I was trying to fix a problem, I decided to

open the Manage Dependencies window, with the OSMDb_Core module on the left and on the right, I don't remember well,

but I believe the OSMDb).

The point is that, after I clicked the "Apply" button, the OSMDb_Core Module got the 1-Click Publish button in green

and the button of OSMDb Module turned red. In addition, in the Errors Window showed many messages like

"Invalid expression" and "Can't identify ... in the expression".

According to this situation that I explained, I believe it is better to recover the latest valid version of the OSMDb Module (and also

of the OSMDb_Core Module?)

How can I do to recover a previous version of a Module?

Solution

Hi Rodrigo.

You probably removed some references. Just press Ctrl+Z :)

Answering your original question, go to the menu and look for the version you want.



Solution

Hi Rodrigo,

Welcome to the OutSystems community!

If Nuno’s suggestion did not work for you, there are a few ways to go back to a previous version.

As I explained it earlier in another post, please take a look over there. Just below my post, Daniël Kuhlmann explains another way how to go back to an earlier version (it’s the same one as Nuno showed you).

Let us know if it worked for you.

Regards,

Nordin

RODRIGO A F BARBOSA wrote:

Hello,

My name is Rodrigo, I'm new to OutSystems and I'm doing Training on the "Becoming a Traditional Web Developer" track.

In this training, we basically develop two modules: an OSMDb_Core (Producer) and an OSMDb (Consumer) module.

Last night everything was ok, but at one point, when I was trying to fix a problem, I decided to

open the Manage Dependencies window, with the OSMDb_Core module on the left and on the right, I don't remember well,

but I believe the OSMDb).

The point is that, after I clicked the "Apply" button, the OSMDb_Core Module got the 1-Click Publish button in green

and the button of OSMDb Module turned red. In addition, in the Errors Window showed many messages like

"Invalid expression" and "Can't identify ... in the expression".

According to this situation that I explained, I believe it is better to recover the latest valid version of the OSMDb Module (and also

of the OSMDb_Core Module?)

How can I do to recover a previous version of a Module?


The point is that, after I clicked the "Apply" button, the OSMDb_Core Module got the 1-Click Publish button in green - Always green so no problem(Bcoz core module doesn't have entry point).

and the button of OSMDb Module turned red. In addition, in the Errors Window showed many messages like - For this I'll suggest republish core module first and take the latest dependencies then it will work or gives you proper error/warning messages.

Hi People !

It seems my problem has been solved.

Thanks for the help !

Regards,

Nuno Reis wrote:

Hi Rodrigo.

You probably removed some references. Just press Ctrl+Z :)

Answering your original question, go to the menu and look for the version you want.

Hi,

Thanks for your Help. 

Regards,

Rodrigo



Nordin Ahdi wrote:

Hi Rodrigo,

Welcome to the OutSystems community!

If Nuno’s suggestion did not work for you, there are a few ways to go back to a previous version.

As I explained it earlier in another post, please take a look over there. Just below my post, Daniël Kuhlmann explains another way how to go back to an earlier version (it’s the same one as Nuno showed you).

Let us know if it worked for you.

Regards,

Nordin

Hi Nordin

Thanks for your help !

Regards,

Rodrigo



JitendraYadav wrote:

RODRIGO A F BARBOSA wrote:

Hello,

My name is Rodrigo, I'm new to OutSystems and I'm doing Training on the "Becoming a Traditional Web Developer" track.

In this training, we basically develop two modules: an OSMDb_Core (Producer) and an OSMDb (Consumer) module.

Last night everything was ok, but at one point, when I was trying to fix a problem, I decided to

open the Manage Dependencies window, with the OSMDb_Core module on the left and on the right, I don't remember well,

but I believe the OSMDb).

The point is that, after I clicked the "Apply" button, the OSMDb_Core Module got the 1-Click Publish button in green

and the button of OSMDb Module turned red. In addition, in the Errors Window showed many messages like

"Invalid expression" and "Can't identify ... in the expression".

According to this situation that I explained, I believe it is better to recover the latest valid version of the OSMDb Module (and also

of the OSMDb_Core Module?)

How can I do to recover a previous version of a Module?


The point is that, after I clicked the "Apply" button, the OSMDb_Core Module got the 1-Click Publish button in green - Always green so no problem(Bcoz core module doesn't have entry point).

and the button of OSMDb Module turned red. In addition, in the Errors Window showed many messages like - For this I'll suggest republish core module first and take the latest dependencies then it will work or gives you proper error/warning messages.

Hi Jitendra !

Thanks for the help !

Regards,

Rodrigo